>From a290ef4d75f26f11e4c07ed04e6138d7f27c3244 Mon Sep 17 00:00:00 2001
From: Adam Young <ayoung@redhat.com>
Date: Tue, 3 Apr 2012 10:53:05 -0400
Subject: [PATCH] Remove unneeded Supression messages

---
 .../com/netscape/certsrv/kra/ProofOfArchival.java  |    2 -
 .../netscape/cms/authorization/DirAclAuthz.java    |    1 -
 .../extensions/SubjectDirectoryAttributesExt.java  |    1 -
 .../netscape/cms/profile/common/EnrollProfile.java |    4 --
 .../def/SubjectDirAttributesExtDefault.java        |    1 -
 .../netscape/cms/servlet/admin/AdminServlet.java   |    4 --
 .../netscape/cms/servlet/admin/CAAdminServlet.java |   14 --------
 .../cms/servlet/admin/CMSAdminServlet.java         |   36 +++++++------------
 .../cms/servlet/admin/KRAAdminServlet.java         |    1 -
 .../cms/servlet/admin/LogAdminServlet.java         |    2 -
 .../cms/servlet/admin/OCSPAdminServlet.java        |    2 -
 .../cms/servlet/admin/PolicyAdminServlet.java      |    3 +-
 .../cms/servlet/admin/ProfileAdminServlet.java     |   15 ++------
 .../cms/servlet/admin/PublisherAdminServlet.java   |    3 --
 .../netscape/cms/servlet/admin/RAAdminServlet.java |   18 +++++-----
 .../netscape/cms/servlet/base/ProxyServlet.java    |    1 -
 .../com/netscape/cms/servlet/cert/DoRevokeTPS.java |    1 -
 .../cms/servlet/cert/scep/CRSEnrollment.java       |    3 --
 .../netscape/cms/servlet/common/CMSGateway.java    |    2 +-
 .../servlet/csadmin/AdminAuthenticatePanel.java    |    1 -
 .../cms/servlet/csadmin/BackupKeyCertPanel.java    |    1 -
 .../netscape/cms/servlet/csadmin/BaseServlet.java  |    1 -
 .../cms/servlet/csadmin/CertRequestPanel.java      |    2 -
 .../cms/servlet/csadmin/ConfigBaseServlet.java     |    1 -
 .../cms/servlet/csadmin/DatabasePanel.java         |    3 --
 .../netscape/cms/servlet/csadmin/DonePanel.java    |    2 -
 .../netscape/cms/servlet/csadmin/NamePanel.java    |    2 -
 .../cms/servlet/csadmin/RestoreKeyCertPanel.java   |    1 -
 .../netscape/cms/servlet/csadmin/SizePanel.java    |    3 --
 .../cms/servlet/csadmin/UpdateConnector.java       |    1 -
 .../servlet/profile/ProfileSubmitCMCServlet.java   |    1 -
 .../cms/servlet/profile/ProfileSubmitServlet.java  |    1 -
 .../cms/servlet/request/ProcessCertReq.java        |    1 -
 .../netscape/cms/servlet/wizard/WizardServlet.java |    1 -
 .../netscape/cmscore/security/JssSubsystem.java    |    2 -
 .../src/com/netscape/cmstools/CMCEnroll.java       |    1 -
 .../src/com/netscape/kra/EnrollmentService.java    |    1 -
 base/kra/src/com/netscape/kra/RecoveryService.java |    1 -
 .../com/netscape/kra/TokenKeyRecoveryService.java  |    1 -
 .../com/netscape/cmsutil/crypto/CryptoUtil.java    |    3 --
 .../extensions/PresenceServerExtension.java        |    1 -
 base/util/src/netscape/security/pkcs/PKCS10.java   |    1 -
 .../x509/IssuingDistributionPointExtension.java    |    1 -
 .../src/netscape/security/x509/X509CertImpl.java   |    1 -
 44 files changed, 28 insertions(+), 121 deletions(-)

diff --git a/base/common/src/com/netscape/certsrv/kra/ProofOfArchival.java b/base/common/src/com/netscape/certsrv/kra/ProofOfArchival.java
index df05c882f23ff3ebbae48f25551fd666352c29c6..d63c4af3511af0d8f454cac231838e7579825283 100644
--- a/base/common/src/com/netscape/certsrv/kra/ProofOfArchival.java
+++ b/base/common/src/com/netscape/certsrv/kra/ProofOfArchival.java
@@ -377,10 +377,8 @@ public class ProofOfArchival implements IDBObj, IProofOfArchival, Serializable {
                                 "no signature found"));
                 }
 
-                @SuppressWarnings("unused")
                 AlgorithmId algid = AlgorithmId.parse(seq[1]); // consume algid
 
-                @SuppressWarnings("unused")
                 byte signature[] = seq[2].getBitString(); // consume signature
 
                 decodePOA(val, null);
diff --git a/base/common/src/com/netscape/cms/authorization/DirAclAuthz.java b/base/common/src/com/netscape/cms/authorization/DirAclAuthz.java
index acc3ffbb79c681118c48799eb1bf107095f8df55..2891a1bfa1dc58306e22c7029cd85f5cc0def7c5 100644
--- a/base/common/src/com/netscape/cms/authorization/DirAclAuthz.java
+++ b/base/common/src/com/netscape/cms/authorization/DirAclAuthz.java
@@ -136,7 +136,6 @@ public class DirAclAuthz extends AAclAuthz
         mBaseDN = ldapConfig.getString(PROP_BASEDN, null);
 
         try {
-            @SuppressWarnings("unused")
             String hostname = ldapConfig.getString("ldapconn.host"); // check for errors
         } catch (EBaseException e) {
             if (CMS.isPreOpMode())
diff --git a/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java b/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
index 6b4e7ead9ff3e6910931602b6e9ed932dabb8ccd..1a59d304ff6d7df71300f3add55998742b7817f9 100644
--- a/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
+++ b/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
@@ -420,7 +420,6 @@ class AttributeConfig {
             throws IOException {
         AVAValueConverter c = X500NameAttrMap.getDefault().getValueConverter(oid);
 
-        @SuppressWarnings("unused")
         DerValue derval = c.getValue(val); // check for errors
         return;
     }
diff --git a/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java b/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
index 6fbdddb695c0df47adb23d8b5842de020aad2864..fc4c93d4a9f090880fa231d3f472c96671b0207f 100644
--- a/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
+++ b/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
@@ -1154,9 +1154,7 @@ public abstract class EnrollProfile extends BasicProfile
 
             /* get SPKAC Algorithm & Signature */
             DerValue derSPKACContent[] = derIn.getSequence(3);
-            @SuppressWarnings("unused")
             AlgorithmId mAlgId = AlgorithmId.parse(derSPKACContent[1]);
-            @SuppressWarnings("unused")
             byte mSignature[] = derSPKACContent[2].getBitString();
 
             /* get PKAC SPKI & Challenge */
@@ -1165,11 +1163,9 @@ public abstract class EnrollProfile extends BasicProfile
             derIn = new DerInputStream(mPKAC);
             DerValue derPKACContent[] = derIn.getSequence(2);
 
-            @SuppressWarnings("unused")
             DerValue mDerSPKI = derPKACContent[0];
             X509Key mSPKI = X509Key.parse(derPKACContent[0]);
 
-            @SuppressWarnings("unused")
             String mChallenge;
             DerValue mDerChallenge = derPKACContent[1];
 
diff --git a/base/common/src/com/netscape/cms/profile/def/SubjectDirAttributesExtDefault.java b/base/common/src/com/netscape/cms/profile/def/SubjectDirAttributesExtDefault.java
index cca5ab2344023bcd01a7d5d3acb77515e3fe4c6a..2969765f6fb1c89b646b65f3fe4ab496cd300784 100644
--- a/base/common/src/com/netscape/cms/profile/def/SubjectDirAttributesExtDefault.java
+++ b/base/common/src/com/netscape/cms/profile/def/SubjectDirAttributesExtDefault.java
@@ -510,7 +510,6 @@ class AttributeConfig {
             throws IOException {
         AVAValueConverter c = X500NameAttrMap.getDefault().getValueConverter(oid);
 
-        @SuppressWarnings("unused")
         DerValue derval = c.getValue(val); // check for errors
         return;
     }
diff --git a/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
index ce4c966ad866579e8b1d2310c7011e62852e4f9a..b5ab34ccdd359d017d146a887ddbdfe7bcaaf652 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
@@ -209,7 +209,6 @@ public class AdminServlet extends HttpServlet {
 
     public void outputHttpParameters(HttpServletRequest httpReq) {
         CMS.debug("AdminServlet:service() uri = " + httpReq.getRequestURI());
-        @SuppressWarnings("unchecked")
         Enumeration<String> paramNames = httpReq.getParameterNames();
         while (paramNames.hasMoreElements()) {
             String pn = paramNames.nextElement();
@@ -856,7 +855,6 @@ public class AdminServlet extends HttpServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -888,7 +886,6 @@ public class AdminServlet extends HttpServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -1133,7 +1130,6 @@ public class AdminServlet extends HttpServlet {
         }
 
         // identify any remaining request parameters
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
diff --git a/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
index e7b32e8440daa8aa7b8ea3322814831354ea1ce8..627a5d068e533f95d4c46a5f6e44e52d35d84d25 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
@@ -229,7 +229,6 @@ public class CAAdminServlet extends AdminServlet {
             IOException, EBaseException {
 
         NameValuePairs params = new NameValuePairs();
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -290,7 +289,6 @@ public class CAAdminServlet extends AdminServlet {
 
         IConfigStore riq = nc.getSubStore(ICertificateAuthority.PROP_REQ_IN_Q_SUBSTORE);
 
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -325,7 +323,6 @@ public class CAAdminServlet extends AdminServlet {
         IConfigStore riq = nc.getSubStore(ICertificateAuthority.PROP_REQ_IN_Q_SUBSTORE);
 
         //set rest of the parameters
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -378,7 +375,6 @@ public class CAAdminServlet extends AdminServlet {
             IOException, EBaseException {
 
         //set rest of the parameters
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -483,7 +479,6 @@ public class CAAdminServlet extends AdminServlet {
 
             if (ip != null) {
 
-                @SuppressWarnings("unchecked")
                 Enumeration<String> e = req.getParameterNames();
                 String value = "";
 
@@ -942,7 +937,6 @@ public class CAAdminServlet extends AdminServlet {
         NameValuePairs params = new NameValuePairs();
 
         String ipId = null;
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -1018,7 +1012,6 @@ public class CAAdminServlet extends AdminServlet {
             if (id != null) {
                 IConfigStore crlExtSubStore = crlExtsSubStore.getSubStore(id);
 
-                @SuppressWarnings("unchecked")
                 Enumeration<String> e = req.getParameterNames();
 
                 while (e.hasMoreElements()) {
@@ -1229,7 +1222,6 @@ public class CAAdminServlet extends AdminServlet {
             IConfigStore crlSubStore = crlsSubStore.getSubStore(id);
 
             //set reset of the parameters
-            @SuppressWarnings("unchecked")
             Enumeration<String> e = req.getParameterNames();
 
             while (e.hasMoreElements()) {
@@ -1320,7 +1312,6 @@ public class CAAdminServlet extends AdminServlet {
                 mCA.getConfigStore().getSubStore(ICertificateAuthority.PROP_CRL_SUBSTORE);
         IConfigStore crlSubStore = crlsSubStore.getSubStore(id);
 
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -1354,7 +1345,6 @@ public class CAAdminServlet extends AdminServlet {
             caConnectorConfig = connectorConfig.getSubStore("CLA");
         }
 
-        @SuppressWarnings("unchecked")
         Enumeration<String> enum1 = req.getParameterNames();
         NameValuePairs params = new NameValuePairs();
 
@@ -1391,7 +1381,6 @@ public class CAAdminServlet extends AdminServlet {
             caConnectorConfig = connectorConfig.getSubStore("CLA");
         }
 
-        @SuppressWarnings("unchecked")
         Enumeration<String> enum1 = req.getParameterNames();
 
         if (caConnectorConfig != null) {
@@ -1427,7 +1416,6 @@ public class CAAdminServlet extends AdminServlet {
     }
 
     private boolean isKRAConnector(HttpServletRequest req) {
-        @SuppressWarnings("unchecked")
         Enumeration<String> enum1 = req.getParameterNames();
 
         while (enum1.hasMoreElements()) {
@@ -1446,7 +1434,6 @@ public class CAAdminServlet extends AdminServlet {
     }
 
     private boolean isCLAConnector(HttpServletRequest req) {
-        @SuppressWarnings("unchecked")
         Enumeration<String> enum1 = req.getParameterNames();
 
         while (enum1.hasMoreElements()) {
@@ -1533,7 +1520,6 @@ public class CAAdminServlet extends AdminServlet {
          SubsystemRegistry.getInstance().get("eeGateway");
          */
 
-        @SuppressWarnings("unchecked")
         Enumeration<String> enum1 = req.getParameterNames();
         boolean restart = false;
 
diff --git a/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
index 3a2ae0a112dea84ede8ce43c8d3dc3a8c0cdd277..1000edf4f542c6a6d79c960153cad43c4c03fd35 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
@@ -525,7 +525,6 @@ public final class CMSAdminServlet extends AdminServlet {
         // ensure that any low-level exceptions are reported
         // to the signed audit log and stored as failures
         try {
-            @SuppressWarnings("unchecked")
             Enumeration<String> enum1 = req.getParameterNames();
             NameValuePairs params = new NameValuePairs();
             ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
@@ -842,7 +841,6 @@ public final class CMSAdminServlet extends AdminServlet {
             IOException, EBaseException {
 
         IConfigStore dbConfig = mConfig.getSubStore(PROP_INTERNAL_DB);
-        @SuppressWarnings("unchecked")
         Enumeration<String> enum1 = req.getParameterNames();
 
         while (enum1.hasMoreElements()) {
@@ -870,7 +868,6 @@ public final class CMSAdminServlet extends AdminServlet {
             IOException, EBaseException {
 
         NameValuePairs params = new NameValuePairs();
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
         String newKeyName = null, selectedToken = null;
         while (e.hasMoreElements()) {
@@ -904,7 +901,6 @@ public final class CMSAdminServlet extends AdminServlet {
             IOException, EBaseException {
 
         NameValuePairs params = new NameValuePairs();
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -953,7 +949,6 @@ public final class CMSAdminServlet extends AdminServlet {
         IConfigStore dbConfig = mConfig.getSubStore(PROP_DB);
         IConfigStore ldapConfig = dbConfig.getSubStore("ldap");
         NameValuePairs params = new NameValuePairs();
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -1016,7 +1011,6 @@ public final class CMSAdminServlet extends AdminServlet {
     private void loggedInToken(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        @SuppressWarnings("unchecked")
         Enumeration<String> enum1 = req.getParameterNames();
         String tokenName = "";
         String pwd = "";
@@ -1045,7 +1039,6 @@ public final class CMSAdminServlet extends AdminServlet {
     private void checkTokenStatus(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        @SuppressWarnings("unchecked")
         Enumeration<String> enum1 = req.getParameterNames();
         String key = "";
         String value = "";
@@ -1092,7 +1085,6 @@ public final class CMSAdminServlet extends AdminServlet {
         // to the signed audit log and stored as failures
         try {
             NameValuePairs params = new NameValuePairs();
-            @SuppressWarnings("unchecked")
             Enumeration<String> enum1 = req.getParameterNames();
             String tokenName = Constants.PR_INTERNAL_TOKEN_NAME;
             String keyType = "";
@@ -1463,7 +1455,6 @@ public final class CMSAdminServlet extends AdminServlet {
         // ensure that any low-level exceptions are reported
         // to the signed audit log and stored as failures
         try {
-            @SuppressWarnings("unchecked")
             Enumeration<String> enum1 = req.getParameterNames();
             String tokenName = Constants.PR_INTERNAL_TOKEN_NAME;
             String keyType = "RSA";
@@ -1593,7 +1584,6 @@ public final class CMSAdminServlet extends AdminServlet {
                 String keyLen = properties.getKeyLength();
 
                 if (keyType.equals("DSA")) {
-                    @SuppressWarnings("unused")
                     PQGParams pqgParams =
                             jssSubSystem.getCAPQG(Integer.parseInt(keyLen), mConfig); // check for errors
                     //properties.put(Constants.PR_PQGPARAMS, pqgParams);
@@ -1887,7 +1877,7 @@ public final class CMSAdminServlet extends AdminServlet {
             String serverRoot = "";
             String serverID = "";
             String certpath = "";
-            @SuppressWarnings("unchecked")
+            
             Enumeration<String> enum1 = req.getParameterNames();
 
             while (enum1.hasMoreElements()) {
@@ -2304,7 +2294,7 @@ public final class CMSAdminServlet extends AdminServlet {
             String serverRoot = "";
             String serverID = "";
             String certpath = "";
-            @SuppressWarnings("unchecked")
+            
             Enumeration<String> enum1 = req.getParameterNames();
             NameValuePairs results = new NameValuePairs();
 
@@ -2530,7 +2520,7 @@ public final class CMSAdminServlet extends AdminServlet {
     private void getCertInfo(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
         NameValuePairs results = new NameValuePairs();
         String pkcs = "";
@@ -2628,7 +2618,7 @@ public final class CMSAdminServlet extends AdminServlet {
     private void getCertPrettyPrint(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
         ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
@@ -2672,7 +2662,7 @@ public final class CMSAdminServlet extends AdminServlet {
     private void getRootCertTrustBit(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
         ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
@@ -2788,7 +2778,7 @@ public final class CMSAdminServlet extends AdminServlet {
     private void deleteCerts(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
         ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                 CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
@@ -2821,7 +2811,7 @@ public final class CMSAdminServlet extends AdminServlet {
     private void validateSubjectName(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
 
         while (enum1.hasMoreElements()) {
@@ -2849,7 +2839,7 @@ public final class CMSAdminServlet extends AdminServlet {
     private void validateCurveName(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
         String curveName = null;
 
@@ -2880,7 +2870,7 @@ public final class CMSAdminServlet extends AdminServlet {
     private void validateCertExtension(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
         String certExt = "";
 
@@ -2905,7 +2895,7 @@ public final class CMSAdminServlet extends AdminServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
 
         String nickname = "";
@@ -2932,7 +2922,7 @@ public final class CMSAdminServlet extends AdminServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
 
         String nickname = "";
@@ -3018,7 +3008,7 @@ public final class CMSAdminServlet extends AdminServlet {
         // ensure that any low-level exceptions are reported
         // to the signed audit log and stored as failures
         try {
-            @SuppressWarnings("unchecked")
+            
             Enumeration<String> enum1 = req.getParameterNames();
             ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                     CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
@@ -3119,7 +3109,7 @@ public final class CMSAdminServlet extends AdminServlet {
                 CMS.debug("CMSAdminServlet::runSelfTestsOnDemand():"
                         + "  ENTERING . . .");
             }
-            @SuppressWarnings("unchecked")
+            
             Enumeration<String> enum1 = req.getParameterNames();
             String request = "";
             NameValuePairs results = new NameValuePairs();
diff --git a/base/common/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java
index eaa5a95c4e8b2fc1491681faad701425675285ed..4a68cddbb2abd2bf907f63bc36b125bb9f7367d4 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java
@@ -188,7 +188,6 @@ public class KRAAdminServlet extends AdminServlet {
     private void setGeneralConfig(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        @SuppressWarnings("unchecked")
         Enumeration<String> enum1 = req.getParameterNames();
         boolean restart = false;
 
diff --git a/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
index 1b32018bc1c67a35ac016dc3c4192a6c68009f5a..527b4748e940a8a4388cfa1cff066a3f2a699b4b 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
@@ -1762,7 +1762,6 @@ public class LogAdminServlet extends AdminServlet {
             // Instantiate an object for new implementation
 
             String className = plugin.getClassPath();
-            @SuppressWarnings("unused")
             ILogEventListener newMgrInst = null;
 
             try {
@@ -2324,7 +2323,6 @@ public class LogAdminServlet extends AdminServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
 
-        @SuppressWarnings("unchecked")
         Enumeration<String> enum1 = req.getParameterNames();
         boolean restart = false;
 
diff --git a/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
index 0e6784413266147fc77736efc0e1163aca0aa584..57817250623210b2850446089d84c073b6f29746 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
@@ -344,7 +344,6 @@ public class OCSPAdminServlet extends AdminServlet {
 
             IOCSPStore store = mOCSP.getOCSPStore(id);
 
-            @SuppressWarnings("unchecked")
             Enumeration<String> e = req.getParameterNames();
 
             while (e.hasMoreElements()) {
@@ -489,7 +488,6 @@ public class OCSPAdminServlet extends AdminServlet {
         // ensure that any low-level exceptions are reported
         // to the signed audit log and stored as failures
         try {
-            @SuppressWarnings("unchecked")
             Enumeration<String> enum1 = req.getParameterNames();
 
             while (enum1.hasMoreElements()) {
diff --git a/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
index 0bcb962ead74cd7516d01e7d385b84a9d42a3a46..4b39dc51d704da5d2c077d9a38b96b468f2e3d8d 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
@@ -1183,8 +1183,7 @@ public class PolicyAdminServlet extends AdminServlet {
                 return;
             }
             // XXX 
-            for (@SuppressWarnings("unchecked")
-            Enumeration<String> n = req.getParameterNames(); n.hasMoreElements();) {
+            for (Enumeration<String> n = req.getParameterNames(); n.hasMoreElements();) {
                 String p = n.nextElement();
                 String l = req.getParameter(p);
 
diff --git a/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
index 94235f532c2fb1dcc0acaf67212bf2fbe7277148..1d8ad7f551196f5ba978a49adb8c03ee8cf0a96e 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
@@ -586,7 +586,6 @@ public class ProfileAdminServlet extends AdminServlet {
                 return;
             }
 
-            @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
             NameValuePairs nvps = new NameValuePairs();
 
@@ -712,7 +711,6 @@ public class ProfileAdminServlet extends AdminServlet {
                 return;
             }
 
-            @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
             NameValuePairs nvps = new NameValuePairs();
 
@@ -814,7 +812,6 @@ public class ProfileAdminServlet extends AdminServlet {
         try {
             String profileId = "";
             String policyId = "";
-            @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
 
             while (names.hasMoreElements()) {
@@ -935,7 +932,6 @@ public class ProfileAdminServlet extends AdminServlet {
         try {
             String profileId = "";
             String inputId = "";
-            @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
 
             while (names.hasMoreElements()) {
@@ -1053,7 +1049,6 @@ public class ProfileAdminServlet extends AdminServlet {
         try {
             String profileId = "";
             String outputId = "";
-            @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
 
             while (names.hasMoreElements()) {
@@ -1202,7 +1197,6 @@ public class ProfileAdminServlet extends AdminServlet {
             IProfilePolicy policy = profile.getProfilePolicy(setId, pId);
             IPolicyDefault def = policy.getDefault();
 
-            @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
 
             while (names.hasMoreElements()) {
@@ -1339,7 +1333,6 @@ public class ProfileAdminServlet extends AdminServlet {
             IProfilePolicy policy = profile.getProfilePolicy(setId, pId);
             IPolicyConstraint con = policy.getConstraint();
 
-            @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
 
             while (names.hasMoreElements()) {
@@ -1477,7 +1470,7 @@ public class ProfileAdminServlet extends AdminServlet {
             IProfilePolicy policy = profile.getProfilePolicy(setId, pId);
             IPolicyDefault def = policy.getDefault();
 
-            @SuppressWarnings("unchecked")
+            
             Enumeration<String> names = req.getParameterNames();
 
             while (names.hasMoreElements()) {
@@ -1606,7 +1599,7 @@ public class ProfileAdminServlet extends AdminServlet {
             IProfileInput input = profile.getProfileInput(inputId);
             IConfigStore inputConfig = input.getConfigStore();
 
-            @SuppressWarnings("unchecked")
+            
             Enumeration<String> names = req.getParameterNames();
 
             while (names.hasMoreElements()) {
@@ -1726,7 +1719,7 @@ public class ProfileAdminServlet extends AdminServlet {
             IProfileOutput output = profile.getProfileOutput(outputId);
             IConfigStore outputConfig = output.getConfigStore();
 
-            @SuppressWarnings("unchecked")
+            
             Enumeration<String> names = req.getParameterNames();
 
             while (names.hasMoreElements()) {
@@ -1850,7 +1843,7 @@ public class ProfileAdminServlet extends AdminServlet {
             IProfilePolicy policy = profile.getProfilePolicy(setId, pId);
             IPolicyConstraint con = policy.getConstraint();
 
-            @SuppressWarnings("unchecked")
+            
             Enumeration<String> names = req.getParameterNames();
 
             CMS.debug("ProfileAdminServlet: modifyPolicyConstraintConfig policy " + policy + " con " + con);
diff --git a/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
index 483ac42ef3a75c5d3a08a36fb07523f842655a49..d469fd63b947d756869311fe0b34b5739f5750f4 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
@@ -438,7 +438,6 @@ public class PublisherAdminServlet extends AdminServlet {
         IConfigStore ldapcfg = publishcfg.getSubStore(IPublisherProcessor.PROP_LDAP_PUBLISH_SUBSTORE);
         IConfigStore ldap = ldapcfg.getSubStore(IPublisherProcessor.PROP_LDAP);
 
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -520,7 +519,6 @@ public class PublisherAdminServlet extends AdminServlet {
         }
 
         //set reset of the parameters
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
         String pwd = null;
 
@@ -641,7 +639,6 @@ public class PublisherAdminServlet extends AdminServlet {
         }
 
         //set reset of the parameters
-        @SuppressWarnings("unchecked")
         Enumeration<String> e = req.getParameterNames();
         String pwd = null;
 
diff --git a/base/common/src/com/netscape/cms/servlet/admin/RAAdminServlet.java b/base/common/src/com/netscape/cms/servlet/admin/RAAdminServlet.java
index 5bdb14177c0d900a9fd1540e025d1007a953b2df..bc6ed28f354ab57d83c6325c04e38cfaa369ce08 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/RAAdminServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/RAAdminServlet.java
@@ -185,7 +185,7 @@ public class RAAdminServlet extends AdminServlet {
             HttpServletResponse resp, IConfigStore rc) throws ServletException,
             IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -251,7 +251,7 @@ public class RAAdminServlet extends AdminServlet {
 
         IConfigStore riq = nc.getSubStore(IRegistrationAuthority.PROP_REQ_IN_Q_SUBSTORE);
 
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -287,7 +287,7 @@ public class RAAdminServlet extends AdminServlet {
         IConfigStore riq = nc.getSubStore(IRegistrationAuthority.PROP_REQ_IN_Q_SUBSTORE);
 
         //set rest of the parameters
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -325,7 +325,7 @@ public class RAAdminServlet extends AdminServlet {
             HttpServletResponse resp, IConfigStore rc, IRequestListener thisListener) throws ServletException,
             IOException, EBaseException {
         //set rest of the parameters
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> e = req.getParameterNames();
 
         while (e.hasMoreElements()) {
@@ -408,7 +408,7 @@ public class RAAdminServlet extends AdminServlet {
          }
          */
 
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
         NameValuePairs params = new NameValuePairs();
 
@@ -446,7 +446,7 @@ public class RAAdminServlet extends AdminServlet {
             caConnectorConfig = connectorConfig.getSubStore("KRA");
         }
 
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
 
         if (caConnectorConfig != null) {
@@ -475,7 +475,7 @@ public class RAAdminServlet extends AdminServlet {
 
     private boolean isCAConnector(HttpServletRequest req) {
 
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
 
         while (enum1.hasMoreElements()) {
@@ -495,7 +495,7 @@ public class RAAdminServlet extends AdminServlet {
 
     private boolean isRAConnector(HttpServletRequest req) {
 
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
 
         while (enum1.hasMoreElements()) {
@@ -515,7 +515,7 @@ public class RAAdminServlet extends AdminServlet {
 
     private boolean isKRAConnector(HttpServletRequest req) {
 
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> enum1 = req.getParameterNames();
 
         while (enum1.hasMoreElements()) {
diff --git a/base/common/src/com/netscape/cms/servlet/base/ProxyServlet.java b/base/common/src/com/netscape/cms/servlet/base/ProxyServlet.java
index 41666ab31ee32c0ddf12f2557efbb86cd5e7aaa7..8840898a4cf1fa2ec2caafd1db81e802ebce9b9b 100644
--- a/base/common/src/com/netscape/cms/servlet/base/ProxyServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/base/ProxyServlet.java
@@ -185,7 +185,6 @@ class ProxyWrapper extends HttpServletRequestWrapper {
             mValueMap = v;
     }
 
-    @SuppressWarnings("unchecked")
     public Map<String, String[]> getParameterMap() {
         try {
             // If we haven't specified any parameter mapping, just
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java b/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
index c4603dd511045ac8c04708a6750fd445025123ae..606b2a5194216d547cfa2c362cbeb2bd75dee3e5 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
@@ -168,7 +168,6 @@ public class DoRevokeTPS extends CMSServlet {
 
         CMS.debug("DoRevokeTPS before getTemplate");
         try {
-            @SuppressWarnings("unused")
             CMSTemplate form = getTemplate(mFormPath, req, locale); // check for errors
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_ERR_GET_TEMPLATE", mFormPath, e.toString()));
diff --git a/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java b/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
index 90a48cb4e802dd8f2943f24c89d18d86a9559d76..d998571e618f0d0b13166bfd3cc258456f726320 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
@@ -208,7 +208,6 @@ public class CRSEnrollment extends HttpServlet {
 
     public static Hashtable<String, String> toHashtable(HttpServletRequest req) {
         Hashtable<String, String> httpReqHash = new Hashtable<String, String>();
-        @SuppressWarnings("unchecked")
         Enumeration<String> names = req.getParameterNames();
         while (names.hasMoreElements()) {
             String name = (String) names.nextElement();
@@ -1043,10 +1042,8 @@ public class CRSEnrollment extends HttpServlet {
 
         // Get Signed Data
 
-        @SuppressWarnings("unused")
         byte[] reqAAbytes = req.getAA(); // check for errors
 
-        @SuppressWarnings("unused")
         byte[] reqAAsig = req.getAADigest(); // check for errors
 
     }
diff --git a/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java b/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java
index 20743022a179ef2b86b2ad249547d9a85c840e0d..1c8628e1dd81c3fc6c85e947c9655edf1ec9b76b 100644
--- a/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java
+++ b/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java
@@ -79,7 +79,7 @@ public class CMSGateway {
 
     public static Hashtable<String, String> toHashtable(HttpServletRequest req) {
         Hashtable<String, String> httpReqHash = new Hashtable<String, String>();
-        @SuppressWarnings("unchecked")
+        
         Enumeration<String> names = req.getParameterNames();
 
         while (names.hasMoreElements()) {
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java b/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
index 585d444d4f69e0fa66dcadad0b3642c54138fd21..43c4a03864204aa35cb1bb37f8f82395000f8bee 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
@@ -85,7 +85,6 @@ public class AdminAuthenticatePanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
         /* clean up if necessary */
         try {
-            @SuppressWarnings("unused")
             boolean done = cs.getBoolean("preop.AdminAuthenticate.done"); // check for errors
             cs.putBoolean("preop.AdminAuthenticate.done", false);
             cs.commit(false);
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/BackupKeyCertPanel.java b/base/common/src/com/netscape/cms/servlet/csadmin/BackupKeyCertPanel.java
index d216a9212d0ef7ce4de739135570d6a917243bfe..edee24bfa1fa316294300590c845fe94657e2dec 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/BackupKeyCertPanel.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/BackupKeyCertPanel.java
@@ -93,7 +93,6 @@ public class BackupKeyCertPanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
         /* clean up if necessary */
         try {
-            @SuppressWarnings("unused")
             boolean done = cs.getBoolean("preop.backupkeycert.done"); // check for errors
             cs.putBoolean("preop.backupkeycert.done", false);
             cs.commit(false);
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/BaseServlet.java b/base/common/src/com/netscape/cms/servlet/csadmin/BaseServlet.java
index 9e800b9cc5ebc43d7b10c9c90f5769c0d1b1988f..f619110fd93202a8dc45404b493c1722ea4865a7 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/BaseServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/BaseServlet.java
@@ -60,7 +60,6 @@ public class BaseServlet extends VelocityServlet {
 
     public void outputHttpParameters(HttpServletRequest httpReq) {
         CMS.debug("BaseServlet:service() uri = " + httpReq.getRequestURI());
-        @SuppressWarnings("unchecked")
         Enumeration<String> paramNames = httpReq.getParameterNames();
 
         while (paramNames.hasMoreElements()) {
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java b/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
index 20ddf9f2d3273672b75bdec25c5b5717ba422a93..6cf10b8d9c66ea6bc3534d92a2da211b99fab1be 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
@@ -122,7 +122,6 @@ public class CertRequestPanel extends WizardPanelBase {
             if (cert == null)
                 return false;
             try {
-                @SuppressWarnings("unused")
                 boolean done = cs.getBoolean("preop.CertRequestPanel.done"); // check for errors
                 return true;
             } catch (Exception ee) {
@@ -218,7 +217,6 @@ public class CertRequestPanel extends WizardPanelBase {
         }
 
         try {
-            @SuppressWarnings("unused")
             boolean done = cs.getBoolean("preop.CertRequestPanel.done"); // check for errors
             cs.putBoolean("preop.CertRequestPanel.done", false);
             cs.commit(false);
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/ConfigBaseServlet.java b/base/common/src/com/netscape/cms/servlet/csadmin/ConfigBaseServlet.java
index dbda788f62dc362e2e55cc78d5deae0630d18d2f..9c0b429e33cca62eca0b2f7ef292c1736941acdc 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/ConfigBaseServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/ConfigBaseServlet.java
@@ -57,7 +57,6 @@ public abstract class ConfigBaseServlet extends BaseServlet {
 
     public void outputHttpParameters(HttpServletRequest httpReq) {
         CMS.debug("ConfigBaseServlet:service() uri = " + httpReq.getRequestURI());
-        @SuppressWarnings("unchecked")
         Enumeration<String> paramNames = httpReq.getParameterNames();
 
         while (paramNames.hasMoreElements()) {
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java b/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
index 82c45d1cdd020ca355a7f5edbf1681b77cd12b34..e3cc5259b1c0c8cd8b3d5c8a436ab66b290074de 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
@@ -171,7 +171,6 @@ public class DatabasePanel extends WizardPanelBase {
         String replicationSecurity = "";
 
         try {
-            @SuppressWarnings("unused")
             String s = cs.getString("preop.database.removeData"); // check whether it's first time
         } catch (Exception e) {
             context.put("firsttime", "true");
@@ -389,7 +388,6 @@ public class DatabasePanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
         context.put("firsttime", "false");
         try {
-            @SuppressWarnings("unused")
             String s = cs.getString("preop.database.removeData"); // check whether it's first time
         } catch (Exception e) {
             context.put("firsttime", "true");
@@ -908,7 +906,6 @@ public class DatabasePanel extends WizardPanelBase {
 
         context.put("firsttime", "false");
         try {
-            @SuppressWarnings("unused")
             String s = cs.getString("preop.database.removeData"); // check whether it's first time
         } catch (Exception e) {
             context.put("firsttime", "true");
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java b/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
index 6d0e92618ad970f5964d835e3d3162168ff0ee51..b89c9e4f504c832b026d1530ca0a97ca3f74cd47 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
@@ -370,7 +370,6 @@ public class DonePanel extends WizardPanelBase {
             try {
                 // Fetch the "new" security domain and display it
                 CMS.debug("Dump contents of new Security Domain . . .");
-                @SuppressWarnings("unused")
                 String c = getDomainXML(sd_host, sd_admin_port_int, true);
             } catch (Exception e) {
             }
@@ -425,7 +424,6 @@ public class DonePanel extends WizardPanelBase {
 
                 // Fetch the "updated" security domain and display it
                 CMS.debug("Dump contents of updated Security Domain . . .");
-                @SuppressWarnings("unused")
                 String c = getDomainXML(sd_host, sd_admin_port_int, true);
             } catch (Exception e) {
                 context.put("errorString", "Failed to update the security domain on the domain master.");
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java b/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
index 916ab199bc61e82feacf1e9d820d70f80b6d8ba6..6ec2fc7ad444a398314c17b5b866f07d237a9f15 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
@@ -108,7 +108,6 @@ public class NamePanel extends WizardPanelBase {
     public void cleanUp() throws IOException {
         IConfigStore cs = CMS.getConfigStore();
         try {
-            @SuppressWarnings("unused")
             boolean done = cs.getBoolean("preop.NamePanel.done"); // check for errors
             cs.putBoolean("preop.NamePanel.done", false);
             cs.commit(false);
@@ -253,7 +252,6 @@ public class NamePanel extends WizardPanelBase {
                 }
 
                 try {
-                    @SuppressWarnings("unused")
                     boolean done = config.getBoolean("preop.NamePanel.done"); // check for errors
                     c.setDN(dn);
                 } catch (Exception e) {
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java b/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
index 54a5ed3f6e3011e596b18c869a68e8f6e9e2dda3..6b840bac008cbdf4be1ba2304907661c6f4da59a 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/RestoreKeyCertPanel.java
@@ -122,7 +122,6 @@ public class RestoreKeyCertPanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
         /* clean up if necessary */
         try {
-            @SuppressWarnings("unused")
             boolean done = cs.getBoolean("preop.restorekeycert.done"); // check for errors
             cs.putBoolean("preop.restorekeycert.done", false);
             cs.commit(false);
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java b/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
index 678145a92b2bb8e29602ba3d2d12392db726583b..a0214fe937cd43c255f8af1d1b869f36fd7935b9 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/SizePanel.java
@@ -92,7 +92,6 @@ public class SizePanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
         /* clean up if necessary*/
         try {
-            @SuppressWarnings("unused")
             boolean done = cs.getBoolean("preop.SizePanel.done"); // check for errors
             cs.putBoolean("preop.SizePanel.done", false);
             cs.commit(false);
@@ -133,7 +132,6 @@ public class SizePanel extends WizardPanelBase {
 
         IConfigStore config = CMS.getConfigStore();
         try {
-            @SuppressWarnings("unused")
             boolean done = config.getBoolean("preop.SizePanel.done"); // check whether it's first time
         } catch (Exception e) {
             context.put("firsttime", "true");
@@ -238,7 +236,6 @@ public class SizePanel extends WizardPanelBase {
 
         context.put("firsttime", "false");
         try {
-            @SuppressWarnings("unused")
             boolean done = config.getBoolean("preop.SizePanel.done"); // check whether it's first time
         } catch (Exception e) {
             context.put("firsttime", "true");
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java b/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java
index f3df51bd1956fd259bfffe29084d11332919fa27..121c402f9fe74a1de7992ed2ada9e0ef7f1935cb 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java
@@ -122,7 +122,6 @@ public class UpdateConnector extends CMSServlet {
 
         IConfigStore cs = CMS.getConfigStore();
 
-        @SuppressWarnings("unchecked")
         Enumeration<String> list = httpReq.getParameterNames();
         while (list.hasMoreElements()) {
             String name = list.nextElement();
diff --git a/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java b/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
index 16451f6dd49e5c41ae659d210488139a2a1829a9..95174fc7925d7559811ef15f05a338990f091db2 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
@@ -261,7 +261,6 @@ public class ProfileSubmitCMCServlet extends ProfileServlet {
 
         if (CMS.debugOn()) {
             CMS.debug("Start of ProfileSubmitCMCServlet Input Parameters");
-            @SuppressWarnings("unchecked")
             Enumeration<String> paramNames = request.getParameterNames();
 
             while (paramNames.hasMoreElements()) {
diff --git a/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java b/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
index eb3b93eb80bb9a4e21c03b46f73ed4e7194a862c..13eb4f74e0ee7c01a3f111a7bf30d3952808ddf1 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
@@ -482,7 +482,6 @@ public class ProfileSubmitServlet extends ProfileServlet {
 
         if (CMS.debugOn()) {
             CMS.debug("Start of ProfileSubmitServlet Input Parameters");
-            @SuppressWarnings("unchecked")
             Enumeration<String> paramNames = request.getParameterNames();
 
             while (paramNames.hasMoreElements()) {
diff --git a/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java b/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
index c324e4a1fa3f11f14ad826ee1319c8e2b66c37aa..215cd624c8dcb350a5580c1975b16e716bd761aa 100644
--- a/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
+++ b/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
@@ -762,7 +762,6 @@ public class ProcessCertReq extends CMSServlet {
                                 }
 
                                 if (mExtraAgentParams) {
-                                    @SuppressWarnings("unchecked")
                                     Enumeration<String> extraparams = req.getParameterNames();
                                     int l = IRequest.AGENT_PARAMS.length() + 1;
                                     int ap_counter = 0;
diff --git a/base/common/src/com/netscape/cms/servlet/wizard/WizardServlet.java b/base/common/src/com/netscape/cms/servlet/wizard/WizardServlet.java
index 42fa88cd977a86017fb04eb95c246a4cc65ad0bb..a71f26dcfa01f594cc40661a726e1e8286dd70e9 100644
--- a/base/common/src/com/netscape/cms/servlet/wizard/WizardServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/wizard/WizardServlet.java
@@ -418,7 +418,6 @@ public class WizardServlet extends VelocityServlet {
 
     public void outputHttpParameters(HttpServletRequest httpReq) {
         CMS.debug("WizardServlet:service() uri = " + httpReq.getRequestURI());
-        @SuppressWarnings("unchecked")
         Enumeration<String> paramNames = httpReq.getParameterNames();
         while (paramNames.hasMoreElements()) {
             String pn = paramNames.nextElement();
diff --git a/base/common/src/com/netscape/cmscore/security/JssSubsystem.java b/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
index 7c16c6f432831f2d9f86494aebe7ee26282eaee9..782f987e6d25aa17bcb18519bb7ee0059df8be97 100644
--- a/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
+++ b/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
@@ -1172,7 +1172,6 @@ public final class JssSubsystem implements ICryptoSubsystem {
 
                 for (int i = 0; i < list.length; i++) {
                     try {
-                        @SuppressWarnings("unused")
                         PrivateKey key =
                                 CryptoManager.getInstance().findPrivKeyByCert(list[i]); // check for errors
                         Debug.trace("JssSubsystem getRootCerts: find private key "
@@ -1245,7 +1244,6 @@ public final class JssSubsystem implements ICryptoSubsystem {
 
                 for (int i = 0; i < list.length; i++) {
                     try {
-                        @SuppressWarnings("unused")
                         PrivateKey key =
                                 CryptoManager.getInstance().findPrivKeyByCert(list[i]); // check for errors
                         String nickname = list[i].getNickname();
diff --git a/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java b/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
index e2e51a29d9661defd2b12aee74f516a5053142cc..0a89c6317bfc1264dbddc710c598f8e19e9b64d6 100644
--- a/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
+++ b/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
@@ -423,7 +423,6 @@ public class CMCEnroll {
                 // (5) Decode the ASCII BASE 64 blob enclosed in the
                 //     String() object into a BINARY BASE 64 byte[] object
 
-                @SuppressWarnings("unused")
                 byte binaryBASE64Blob[] =
                         Utils.base64decode(asciiBASE64Blob); // check for errors
 
diff --git a/base/kra/src/com/netscape/kra/EnrollmentService.java b/base/kra/src/com/netscape/kra/EnrollmentService.java
index 37d1aea53c220ae43435f2ce9e68748e2ee3baef..fa802e49a6a71795108574d5a82a2c76b9da4bef 100644
--- a/base/kra/src/com/netscape/kra/EnrollmentService.java
+++ b/base/kra/src/com/netscape/kra/EnrollmentService.java
@@ -510,7 +510,6 @@ public class EnrollmentService implements IService {
             DerValue privateKeyDer = new DerValue(privateKeyIn.getOctetString());
             DerInputStream privateKeyDerIn = privateKeyDer.data;
 
-            @SuppressWarnings("unused")
             BigInt privateKeyVersion = privateKeyDerIn.getInteger();
             BigInt privateKeyModulus = privateKeyDerIn.getInteger();
             BigInt privateKeyExponent = privateKeyDerIn.getInteger();
diff --git a/base/kra/src/com/netscape/kra/RecoveryService.java b/base/kra/src/com/netscape/kra/RecoveryService.java
index c8ecdcf5a08adb0d000b68f2261d3e4bb0e76a7d..b38e327713adf919c9dd8b414b357d24bab19bf2 100644
--- a/base/kra/src/com/netscape/kra/RecoveryService.java
+++ b/base/kra/src/com/netscape/kra/RecoveryService.java
@@ -346,7 +346,6 @@ public class RecoveryService implements IService {
             DerValue privateKeyDer = new DerValue(privateKeyIn.getOctetString());
             DerInputStream privateKeyDerIn = privateKeyDer.data;
 
-            @SuppressWarnings("unused")
             BigInt privateKeyVersion = privateKeyDerIn.getInteger();
             BigInt privateKeyModulus = privateKeyDerIn.getInteger();
             BigInt privateKeyExponent = privateKeyDerIn.getInteger();
diff --git a/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java b/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
index 7575ea9f46fee64e5537211ebff4aa5ff00b7af2..401bd8f0e791a8ac32e9adb8b3057fcfbea9d8cb 100644
--- a/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
+++ b/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
@@ -552,7 +552,6 @@ public class TokenKeyRecoveryService implements IService {
             DerValue privateKeyDer = new DerValue(privateKeyIn.getOctetString());
             DerInputStream privateKeyDerIn = privateKeyDer.data;
 
-            @SuppressWarnings("unused")
             BigInt privateKeyVersion = privateKeyDerIn.getInteger(); // consume stream
             BigInt privateKeyModulus = privateKeyDerIn.getInteger();
             BigInt privateKeyExponent = privateKeyDerIn.getInteger();
diff --git a/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java b/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
index 06f1778872be9637f904fffc34feba91ee543fca..a6e61eae715f169c661a4d705554de8f3a59bde5 100644
--- a/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
+++ b/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
@@ -997,7 +997,6 @@ public class CryptoUtil {
 
             for (int i = 0; i < list.length; i++) {
                 try {
-                    @SuppressWarnings("unused")
                     PrivateKey key = cm.findPrivKeyByCert(list[i]); // check for errors
                     X509CertImpl impl = null;
 
@@ -1150,7 +1149,6 @@ public class CryptoUtil {
         String unwrappedData = null;
 
         //We have to do this to get the decoding to work.
-        @SuppressWarnings("unused")
         PBEAlgorithm pbeAlg = PBEAlgorithm.PBE_SHA1_DES3_CBC;
 
         Password pass = new Password(recoveryPassphrase.toCharArray());
@@ -1257,7 +1255,6 @@ public class CryptoUtil {
         encoded = oStream.toByteArray();
         ByteArrayInputStream inStream = new ByteArrayInputStream(encoded);
 
-        @SuppressWarnings("unused")
         PKIArchiveOptions options = (PKIArchiveOptions)
                   (new PKIArchiveOptions.Template()).decode(inStream);
 
diff --git a/base/util/src/netscape/security/extensions/PresenceServerExtension.java b/base/util/src/netscape/security/extensions/PresenceServerExtension.java
index c67fe9965bac35ee2847eb0c443228d128fc6060..e58a064b00a99eebebfa23f7af8567957ac41821 100644
--- a/base/util/src/netscape/security/extensions/PresenceServerExtension.java
+++ b/base/util/src/netscape/security/extensions/PresenceServerExtension.java
@@ -313,7 +313,6 @@ public class PresenceServerExtension extends Extension implements CertAttrSet {
 
         Extension ext1 = new Extension(new DerValue(dos.toByteArray()));
 
-        @SuppressWarnings("unused")
         PresenceServerExtension ext2 = new PresenceServerExtension(
                 new Boolean(false), ext1.getExtensionValue());
 
diff --git a/base/util/src/netscape/security/pkcs/PKCS10.java b/base/util/src/netscape/security/pkcs/PKCS10.java
index a6ddd203f50aa31a865f8a90e891974fb9471440..be04856988d6db4166843ba89eea8ac1b30143de 100644
--- a/base/util/src/netscape/security/pkcs/PKCS10.java
+++ b/base/util/src/netscape/security/pkcs/PKCS10.java
@@ -143,7 +143,6 @@ public class PKCS10 {
         //
         // Inner sequence:  version, name, key, attributes
         //
-        @SuppressWarnings("unused")
         BigInt serial = seq[0].data.getInteger(); // consume serial
 
         /*
diff --git a/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java b/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
index d5f5100bf406ba93a0d06e1a57bb55855724265d..94e044f8d4e0c98b756d18d707e215a4edd635c4 100644
--- a/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
+++ b/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
@@ -197,7 +197,6 @@ public class IssuingDistributionPointExtension extends Extension
                                     BitArray reasons = opt.getUnalignedBitString();
                                     issuingDistributionPoint.setOnlySomeReasons(reasons);
 
-                                    @SuppressWarnings("unused")
                                     byte[] a = reasons.toByteArray(); // check for errors
                                 } catch (IOException e) {
                                     throw new IOException("Invalid encoding of IssuingDistributionPoint " + e);
diff --git a/base/util/src/netscape/security/x509/X509CertImpl.java b/base/util/src/netscape/security/x509/X509CertImpl.java
index 9c62b36a6c374b9caf8982b15e9153ac4c980053..a2f380ce1d9f4c5dd69ca23f63d1867ae0a1aca7 100755
--- a/base/util/src/netscape/security/x509/X509CertImpl.java
+++ b/base/util/src/netscape/security/x509/X509CertImpl.java
@@ -1195,7 +1195,6 @@ public class X509CertImpl extends X509Certificate
          */
         protected Object readResolve() throws java.io.ObjectStreamException {
             try {
-                @SuppressWarnings("unused")
                 CertificateFactory cf = CertificateFactory.getInstance(type1); // check for errors
                 return new X509CertImpl(data1);
 
-- 
1.7.7.6

